apiVersion: v1
kind: Pod
metadata:
  annotations:
    descheduler.alpha.kubernetes.io/request-evict-only: ""
    istio.io/reroute-virtual-interfaces: k6t-eth0
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.129.2.116/23","fd02:0:0:6::422/64"],"mac_address":"0a:58:0a:81:02:74","gateway_ips":["10.129.2.1","fd02:0:0:6::1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.129.2.1"},{"dest":"172.30.0.0/16","nextHop":"10.129.2.1"},{"dest":"169.254.0.5/32","nextHop":"10.129.2.1"},{"dest":"100.64.0.0/16","nextHop":"10.129.2.1"},{"dest":"fd02::/48","nextHop":"fd02:0:0:6::1"},{"dest":"fd03::/112","nextHop":"fd02:0:0:6::1"},{"dest":"fd69::5/128","nextHop":"fd02:0:0:6::1"},{"dest":"fd98::/64","nextHop":"fd02:0:0:6::1"}],"role":"primary"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.2.116",
              "fd02:0:0:6::422"
          ],
          "mac": "0a:58:0a:81:02:74",
          "default": true,
          "dns": {}
      }]
    kubectl.kubernetes.io/default-container: compute
    kubevirt.io/domain: rhel9-based-rhcos10-node
    kubevirt.io/migrationJobName: kubevirt-migrate-vm-87n4r
    kubevirt.io/migrationTransportUnix: "true"
    kubevirt.io/nonroot: "true"
    kubevirt.io/vm-generation: "1"
    openshift.io/scc: kubevirt-controller
    post.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--unfreeze", "--name",
      "rhel9-based-rhcos10-node", "--namespace", "siwang"]'
    post.hook.backup.velero.io/container: compute
    pre.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--freeze", "--name",
      "rhel9-based-rhcos10-node", "--namespace", "siwang"]'
    pre.hook.backup.velero.io/container: compute
    seccomp.security.alpha.kubernetes.io/pod: localhost/kubevirt/kubevirt.json
    security.openshift.io/validated-scc-subject-type: user
    traffic.sidecar.istio.io/kubevirtInterfaces: k6t-eth0
    vm.kubevirt.io/flavor: small
    vm.kubevirt.io/os: rhel9
    vm.kubevirt.io/workload: server
  creationTimestamp: "2025-11-14T04:42:33Z"
  generateName: virt-launcher-rhel9-based-rhcos10-node-
  generation: 1
  labels:
    kubevirt.io: virt-launcher
    kubevirt.io/created-by: 7426b7fb-8fde-4608-b6a2-8bbd037ea10b
    kubevirt.io/domain: rhel9-based-rhcos10-node
    kubevirt.io/migrationJobUID: 643eaa2e-69a3-417d-a582-7118b948ef04
    kubevirt.io/nodeName: cnv-qe-infra-19.cnvqe2.lab.eng.rdu2.redhat.com
    kubevirt.io/size: small
    network.kubevirt.io/headlessService: headless
    vm.kubevirt.io/name: rhel9-based-rhcos10-node
    vmi.kubevirt.io/id: rhel9-based-rhcos10-node
  name: virt-launcher-rhel9-based-rhcos10-node-jrsj6
  namespace: siwang
  ownerReferences:
  - apiVersion: kubevirt.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: VirtualMachineInstance
    name: rhel9-based-rhcos10-node
    uid: 7426b7fb-8fde-4608-b6a2-8bbd037ea10b
  resourceVersion: "2305544"
  uid: 161b7787-20c6-40b1-9b9e-f14cd179426e
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchExpressions:
          - key: node-labeller.kubevirt.io/obsolete-host-model
            operator: DoesNotExist
    podAntiAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
      - labelSelector:
          matchLabels:
            kubevirt.io/created-by: 7426b7fb-8fde-4608-b6a2-8bbd037ea10b
        topologyKey: kubernetes.io/hostname
  automountServiceAccountToken: false
  containers:
  - command:
    - /usr/bin/virt-launcher-monitor
    - --qemu-timeout
    - 298s
    - --name
    - rhel9-based-rhcos10-node
    - --uid
    - 7426b7fb-8fde-4608-b6a2-8bbd037ea10b
    - --namespace
    - siwang
    - --kubevirt-share-dir
    - /var/run/kubevirt
    - --ephemeral-disk-dir
    - /var/run/kubevirt-ephemeral-disks
    - --container-disk-dir
    - /var/run/kubevirt/container-disks
    - --grace-period-seconds
    - "195"
    - --hook-sidecars
    - "0"
    - --ovmf-path
    - /usr/share/OVMF
    - --disk-memory-limit
    - "2000000000"
    - --run-as-nonroot
    env:
    - name: XDG_CACHE_HOME
      value: /var/run/kubevirt-private
    - name: XDG_CONFIG_HOME
      value: /var/run/kubevirt-private
    - name: XDG_RUNTIME_DIR
      value: /var/run
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:87c89edb75ee36081aef9318263853b92a0dbb545e2813f620956ee77146e026
    imagePullPolicy: IfNotPresent
    name: compute
    resources:
      limits:
        devices.kubevirt.io/kvm: "1"
        devices.kubevirt.io/tun: "1"
        devices.kubevirt.io/vhost-net: "1"
      requests:
        cpu: 100m
        devices.kubevirt.io/kvm: "1"
        devices.kubevirt.io/tun: "1"
        devices.kubevirt.io/vhost-net: "1"
        ephemeral-storage: 50M
        memory: 2316Mi
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        add:
        - NET_BIND_SERVICE
        drop:
        - ALL
      runAsGroup: 107
      runAsNonRoot: true
      runAsUser: 107
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeDevices:
    - devicePath: /dev/rootdisk
      name: rootdisk
    volumeMounts:
    - mountPath: /var/run/kubevirt-private
      name: private
    - mountPath: /var/run/kubevirt
      name: public
    - mountPath: /var/run/kubevirt-ephemeral-disks
      name: ephemeral-disks
    - mountPath: /var/run/libvirt
      name: libvirt-runtime
    - mountPath: /var/run/kubevirt/sockets
      name: sockets
    - mountPath: /var/run/kubevirt/container-disks
      mountPropagation: HostToContainer
      name: container-disks
    - mountPath: /var/run/kubevirt/hotplug-disks
      mountPropagation: HostToContainer
      name: hotplug-disks
  dnsPolicy: ClusterFirst
  enableServiceLinks: false
  hostname: rhel9-based-rhcos10-node
  imagePullSecrets:
  - name: default-dockercfg-6qqsj
  initContainers:
  - args:
    - --logfile
    - /var/run/kubevirt-private/7426b7fb-8fde-4608-b6a2-8bbd037ea10b/virt-serial0-log
    command:
    - /usr/bin/virt-tail
    env:
    - name: VIRT_LAUNCHER_LOG_VERBOSITY
      value: "2"
    image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:87c89edb75ee36081aef9318263853b92a0dbb545e2813f620956ee77146e026
    imagePullPolicy: IfNotPresent
    name: guest-console-log
    resources:
      limits:
        cpu: 15m
        memory: 60M
      requests:
        cpu: 5m
        memory: 35M
    restartPolicy: Always
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
      runAsNonRoot: true
      runAsUser: 107
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/run/kubevirt-private
      name: private
      readOnly: true
  nodeName: cnv-qe-infra-18.cnvqe2.lab.eng.rdu2.redhat.com
  nodeSelector:
    cpu-feature.node.kubevirt.io/amd-ssbd: "true"
    cpu-feature.node.kubevirt.io/amd-stibp: "true"
    cpu-feature.node.kubevirt.io/arch-capabilities: "true"
    cpu-feature.node.kubevirt.io/fb-clear: "true"
    cpu-feature.node.kubevirt.io/flush-l1d: "true"
    cpu-feature.node.kubevirt.io/gds-no: "true"
    cpu-feature.node.kubevirt.io/hypervisor: "true"
    cpu-feature.node.kubevirt.io/ibpb: "true"
    cpu-feature.node.kubevirt.io/ibrs: "true"
    cpu-feature.node.kubevirt.io/ibrs-all: "true"
    cpu-feature.node.kubevirt.io/invtsc: "true"
    cpu-feature.node.kubevirt.io/md-clear: "true"
    cpu-feature.node.kubevirt.io/mds-no: "true"
    cpu-feature.node.kubevirt.io/mpx: "true"
    cpu-feature.node.kubevirt.io/pdcm: "true"
    cpu-feature.node.kubevirt.io/pku: "true"
    cpu-feature.node.kubevirt.io/pschange-mc-no: "true"
    cpu-feature.node.kubevirt.io/psdp-no: "true"
    cpu-feature.node.kubevirt.io/rdctl-no: "true"
    cpu-feature.node.kubevirt.io/rfds-no: "true"
    cpu-feature.node.kubevirt.io/sbdr-ssdp-no: "true"
    cpu-feature.node.kubevirt.io/skip-l1dfl-vmentry: "true"
    cpu-feature.node.kubevirt.io/ss: "true"
    cpu-feature.node.kubevirt.io/stibp: "true"
    cpu-feature.node.kubevirt.io/tsc_adjust: "true"
    cpu-feature.node.kubevirt.io/tsx-ctrl: "true"
    cpu-feature.node.kubevirt.io/umip: "true"
    cpu-feature.node.kubevirt.io/vmx: "true"
    cpu-feature.node.kubevirt.io/vmx-activity-hlt: "true"
    cpu-feature.node.kubevirt.io/vmx-activity-wait-sipi: "true"
    cpu-feature.node.kubevirt.io/vmx-apicv-register: "true"
    cpu-feature.node.kubevirt.io/vmx-apicv-vid: "true"
    cpu-feature.node.kubevirt.io/vmx-apicv-x2apic: "true"
    cpu-feature.node.kubevirt.io/vmx-apicv-xapic: "true"
    cpu-feature.node.kubevirt.io/vmx-cr3-load-noexit: "true"
    cpu-feature.node.kubevirt.io/vmx-cr3-store-noexit: "true"
    cpu-feature.node.kubevirt.io/vmx-cr8-load-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-cr8-store-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-desc-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-entry-ia32e-mode: "true"
    cpu-feature.node.kubevirt.io/vmx-entry-load-bndcfgs: "true"
    cpu-feature.node.kubevirt.io/vmx-entry-load-efer: "true"
    cpu-feature.node.kubevirt.io/vmx-entry-load-pat: "true"
    cpu-feature.node.kubevirt.io/vmx-entry-load-perf-global-ctrl: "true"
    cpu-feature.node.kubevirt.io/vmx-entry-noload-debugctl: "true"
    cpu-feature.node.kubevirt.io/vmx-ept: "true"
    cpu-feature.node.kubevirt.io/vmx-ept-1gb: "true"
    cpu-feature.node.kubevirt.io/vmx-ept-2mb: "true"
    cpu-feature.node.kubevirt.io/vmx-ept-execonly: "true"
    cpu-feature.node.kubevirt.io/vmx-eptad: "true"
    cpu-feature.node.kubevirt.io/vmx-eptp-switching: "true"
    cpu-feature.node.kubevirt.io/vmx-exit-ack-intr: "true"
    cpu-feature.node.kubevirt.io/vmx-exit-clear-bndcfgs: "true"
    cpu-feature.node.kubevirt.io/vmx-exit-load-efer: "true"
    cpu-feature.node.kubevirt.io/vmx-exit-load-pat: "true"
    cpu-feature.node.kubevirt.io/vmx-exit-load-perf-global-ctrl: "true"
    cpu-feature.node.kubevirt.io/vmx-exit-nosave-debugctl: "true"
    cpu-feature.node.kubevirt.io/vmx-exit-save-efer: "true"
    cpu-feature.node.kubevirt.io/vmx-exit-save-pat: "true"
    cpu-feature.node.kubevirt.io/vmx-exit-save-preemption-timer: "true"
    cpu-feature.node.kubevirt.io/vmx-flexpriority: "true"
    cpu-feature.node.kubevirt.io/vmx-hlt-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-ins-outs: "true"
    cpu-feature.node.kubevirt.io/vmx-intr-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-invept: "true"
    cpu-feature.node.kubevirt.io/vmx-invept-all-context: "true"
    cpu-feature.node.kubevirt.io/vmx-invept-single-context: "true"
    cpu-feature.node.kubevirt.io/vmx-invlpg-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-invpcid-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-invvpid: "true"
    cpu-feature.node.kubevirt.io/vmx-invvpid-all-context: "true"
    cpu-feature.node.kubevirt.io/vmx-invvpid-single-addr: "true"
    cpu-feature.node.kubevirt.io/vmx-invvpid-single-context-noglobals: "true"
    cpu-feature.node.kubevirt.io/vmx-io-bitmap: "true"
    cpu-feature.node.kubevirt.io/vmx-io-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-monitor-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-movdr-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-msr-bitmap: "true"
    cpu-feature.node.kubevirt.io/vmx-mtf: "true"
    cpu-feature.node.kubevirt.io/vmx-mwait-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-nmi-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-page-walk-4: "true"
    cpu-feature.node.kubevirt.io/vmx-pause-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-pml: "true"
    cpu-feature.node.kubevirt.io/vmx-posted-intr: "true"
    cpu-feature.node.kubevirt.io/vmx-preemption-timer: "true"
    cpu-feature.node.kubevirt.io/vmx-rdpmc-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-rdrand-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-rdseed-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-rdtsc-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-rdtscp-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-secondary-ctls: "true"
    cpu-feature.node.kubevirt.io/vmx-shadow-vmcs: "true"
    cpu-feature.node.kubevirt.io/vmx-store-lma: "true"
    cpu-feature.node.kubevirt.io/vmx-true-ctls: "true"
    cpu-feature.node.kubevirt.io/vmx-tsc-offset: "true"
    cpu-feature.node.kubevirt.io/vmx-tsc-scaling: "true"
    cpu-feature.node.kubevirt.io/vmx-unrestricted-guest: "true"
    cpu-feature.node.kubevirt.io/vmx-vintr-pending: "true"
    cpu-feature.node.kubevirt.io/vmx-vmfunc: "true"
    cpu-feature.node.kubevirt.io/vmx-vmwrite-vmexit-fields: "true"
    cpu-feature.node.kubevirt.io/vmx-vnmi: "true"
    cpu-feature.node.kubevirt.io/vmx-vnmi-pending: "true"
    cpu-feature.node.kubevirt.io/vmx-vpid: "true"
    cpu-feature.node.kubevirt.io/vmx-wbinvd-exit: "true"
    cpu-feature.node.kubevirt.io/vmx-xsaves: "true"
    cpu-feature.node.kubevirt.io/xsaves: "true"
    cpu-model-migration.node.kubevirt.io/Cascadelake-Server: "true"
    kubernetes.io/arch: amd64
    kubevirt.io/schedulable: "true"
    machine-type.node.kubevirt.io/pc-q35-rhel9.6.0: "true"
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  readinessGates:
  - conditionType: kubevirt.io/virtual-machine-unpaused
  restartPolicy: Never
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 107
    runAsGroup: 107
    runAsNonRoot: true
    runAsUser: 107
    seLinuxOptions:
      level: s0:c136,c978
    seccompProfile:
      localhostProfile: kubevirt/kubevirt.json
      type: Localhost
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 210
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - emptyDir: {}
    name: private
  - emptyDir: {}
    name: public
  - emptyDir: {}
    name: sockets
  - emptyDir: {}
    name: virt-bin-share-dir
  - emptyDir: {}
    name: libvirt-runtime
  - emptyDir: {}
    name: ephemeral-disks
  - emptyDir: {}
    name: container-disks
  - name: rootdisk
    persistentVolumeClaim:
      claimName: rhel9-based-rhcos10-node
  - emptyDir: {}
    name: hotplug-disks
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-11-14T04:42:50Z"
    observedGeneration: 1
    status: "False"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-11-14T04:42:39Z"
    observedGeneration: 1
    reason: PodCompleted
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-11-14T04:42:33Z"
    observedGeneration: 1
    reason: PodCompleted
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-11-14T04:42:46Z"
    observedGeneration: 1
    reason: PodCompleted
    status: "False"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-11-14T04:42:33Z"
    observedGeneration: 1
    status: "True"
    type: PodScheduled
  containerStatuses:
  - allocatedResources:
      cpu: 100m
      devices.kubevirt.io/kvm: "1"
      devices.kubevirt.io/tun: "1"
      devices.kubevirt.io/vhost-net: "1"
      ephemeral-storage: 50M
      memory: 2316Mi
    containerID: cri-o://5994625c876dc275b221ea2ce412cfadb68539506d0ab13a01b816247143f921
    image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:87c89edb75ee36081aef9318263853b92a0dbb545e2813f620956ee77146e026
    imageID: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:5933718e2fa1c67d5a0568b91c6191416d3622542e55aeea9ad72c9d9cfbd1d6
    lastState: {}
    name: compute
    ready: false
    resources:
      limits:
        devices.kubevirt.io/kvm: "1"
        devices.kubevirt.io/tun: "1"
        devices.kubevirt.io/vhost-net: "1"
      requests:
        cpu: 100m
        devices.kubevirt.io/kvm: "1"
        devices.kubevirt.io/tun: "1"
        devices.kubevirt.io/vhost-net: "1"
        ephemeral-storage: 50M
        memory: 2316Mi
    restartCount: 0
    started: false
    state:
      terminated:
        containerID: cri-o://5994625c876dc275b221ea2ce412cfadb68539506d0ab13a01b816247143f921
        exitCode: 0
        finishedAt: "2025-11-14T04:42:46Z"
        reason: Completed
        startedAt: "2025-11-14T04:42:40Z"
    user:
      linux:
        gid: 107
        supplementalGroups:
        - 107
        - 36
        uid: 107
    volumeMounts:
    - mountPath: /var/run/kubevirt-private
      name: private
    - mountPath: /var/run/kubevirt
      name: public
    - mountPath: /var/run/kubevirt-ephemeral-disks
      name: ephemeral-disks
    - mountPath: /var/run/libvirt
      name: libvirt-runtime
    - mountPath: /var/run/kubevirt/sockets
      name: sockets
    - mountPath: /var/run/kubevirt/container-disks
      name: container-disks
    - mountPath: /var/run/kubevirt/hotplug-disks
      name: hotplug-disks
  hostIP: 10.1.156.18
  hostIPs:
  - ip: 10.1.156.18
  - ip: 2620:52:0:19c:e643:4bff:feec:76d0
  initContainerStatuses:
  - allocatedResources:
      cpu: 5m
      memory: 35M
    containerID: cri-o://65e6ff739f893af82e408748899a812842d17f2d8e72d667d0897b23eaf9a13a
    image: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:87c89edb75ee36081aef9318263853b92a0dbb545e2813f620956ee77146e026
    imageID: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:5933718e2fa1c67d5a0568b91c6191416d3622542e55aeea9ad72c9d9cfbd1d6
    lastState: {}
    name: guest-console-log
    ready: false
    resources:
      limits:
        cpu: 15m
        memory: 60M
      requests:
        cpu: 5m
        memory: 35M
    restartCount: 0
    started: false
    state:
      terminated:
        containerID: cri-o://65e6ff739f893af82e408748899a812842d17f2d8e72d667d0897b23eaf9a13a
        exitCode: 0
        finishedAt: "2025-11-14T04:42:48Z"
        reason: Completed
        startedAt: "2025-11-14T04:42:39Z"
    user:
      linux:
        gid: 107
        supplementalGroups:
        - 107
        - 36
        uid: 107
    volumeMounts:
    - mountPath: /var/run/kubevirt-private
      name: private
      readOnly: true
      recursiveReadOnly: Disabled
  observedGeneration: 1
  phase: Succeeded
  podIP: 10.129.2.116
  podIPs:
  - ip: 10.129.2.116
  - ip: fd02:0:0:6::422
  qosClass: Burstable
  startTime: "2025-11-14T04:42:33Z"
